Zernio
APIFor you
Zernio
APIFor you
Platforms

Pinterest

Overview

Publish

Pins & BoardsMedia Requirements

Engage

Analytics

Reference

Limits & Errors
Dashboard
OverviewPlatformsAPI ReferenceResources
Pinterest

Analytics

Which analytics metrics Pinterest returns for pins.


Call GET /v1/analytics?platform=pinterest (Analytics API).

MetricAvailable
Impressions
Saves
Clicks
const { data: analytics } = await zernio.analytics.getAnalytics({
  query: { platform: 'pinterest', fromDate: '2026-08-01', toDate: '2026-08-31' }
});

console.log(analytics.posts);

Response (200), one entry per post:

{
  "posts": [
    {
      "_id": "65f1c0a9e2b5af0012ab34cd",
      "platform": "pinterest",
      "status": "published",
      "publishedAt": "2026-08-14T10:00:05Z",
      "platformPostUrl": "https://www.pinterest.com/pin/1022106146582013456/",
      "analytics": {
        "impressions": 4380,
        "saves": 96,
        "clicks": 141
      }
    }
  ]
}
Was this page helpful?

Media Requirements

Image and video requirements for Pinterest pins, and the rules for media URLs.

Limits & Errors

Pinterest's missing inbox, what its API does not expose and the common errors when publishing.